#pragma once
#include<fwd.hpp>

class CCamera
{
public:
	CCamera(void);
	~CCamera(void);
	
	glm::vec3 Position;
	glm::vec3 Direction;
	glm::vec3 Up;

	glm::vec2 MovementSpeed;
	glm::vec2 RotationSpeed;

	void Update(void);

	void SetViewTransform(void);
	void SetProjectionTransform(void);

private:
	void HandleUserInput(void);
};

