#pragma once

class CSphere;
class CCamera;

class CScene
{

public:
	CScene(void);
	~CScene(void);
	void Init(void);
	void Redraw(void);
	void Update(void);

	CCamera * camera;

protected:
	void SetLighting(void);
	void DrawTerrain(void);

	GLuint vboId;

	void CreateVBO(void);

	float sunAngle;

};
